@import '../../../assets/styles/common.scss';

.challenge-footer {
  @include bg-gradient;

  position: absolute;
  left:0;
  width: 100%;
  height: 100%;
  text-align: center;

  &__step {
    &-wrapper {
      max-width: 139.8rem;
      height: 100%;
      margin: auto;
    }

    &-content {
      display: flex;
      position: relative;
      height: 100%;
    }

    &-back, &-next {
      align-self: center;
      position: absolute;
      cursor: pointer;
    }

    &-back {
      left: 0;
    }

    &-next {
      right: 0;
    }

    &-steppers {
      position: absolute;
      left: 50%;
      transform: translate(-50%, 0%);
    }
  }

  &__item {
    align-self: center;

    &--hide {
      visibility: hidden;
    }
  }

  @media only screen and (max-width: 1400px) {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;

    &__step-content img {
      height: 5rem;
    }
  }
}
